Subject: 'git log' numbering commits?

From: Daniel Wagner <[email-masked]>
Date: Thu, 12 Apr 2012 09:54:12 +0200

Hi,

I have a stupid question I could not answer myself when reading the
excellent documentation.

My workflow involves a lot of "git rebase -i". For figuring out which
commit id to use I do first a 'git log --oneline'. Then I do copy past
the id to the 'git rebase -i'. The reason why I don't use relative
id such as HEAD~4, because I keep miscounting the commits.

So my question is there a magic option to have git log to enumerate the
commits, e.g.

1: 2fcd2b3 network: Remove unused function
2: b376b2a session: Fix introspection for Change()
3: 15c9cd0 wifi: Refactor desctruction of network object
4: a9c699f network: Remove device pointer in network_remove()
[...]

cheers,
daniel